#
# spec file for package pocketsphinx
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pocketsphinx
Version:        0.8
Release:        2.1
Summary:        Speech recognizer library written in C
License:        BSD-2-Clause
Group:          Productivity/Office/Other
Url:            http://cmusphinx.sourceforge.net/wiki/download/
Source:         http://downloads.sourceforge.net/project/cmusphinx/pocketsphinx/%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM pocketsphinx-doxygen.patch -- Obtained from fedora package (http://pkgs.fedoraproject.org/cgit/rpms/pocketsphinx.git/tree/)
Patch0:         pocketsphinx-doxygen.patch
# PATCH-FIX-UPSTREAM pocketsphinx-largefile.patch -- Obtained from fedora package (http://pkgs.fedoraproject.org/cgit/rpms/pocketsphinx.git/tree/)
Patch1:         pocketsphinx-largefile.patch
# PATCH-FIX-UPSTREAM pocketsphinx-long-utterance.patch -- Obtained from fedora package (http://pkgs.fedoraproject.org/cgit/rpms/pocketsphinx.git/tree/)
Patch2:         pocketsphinx-long-utterance.patch
BuildRequires:  alsa-devel
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gstreamer-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python-gtk-devel
BuildRequires:  python-Cython
BuildRequires:  sphinxbase-devel

%description
CMU Sphinx toolkit has a number of packages for different tasks and applications.
Pocketsphinx is a version of the open-source Sphinx-II speech recognition system
which is able to recognize speech in real-time.

%package devel
Summary:        Speech recognizer library written in C
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
CMU Sphinx toolkit has a number of packages for different tasks and applications.
Pocketsphinx is a version of the open-source Sphinx-II speech recognition system
which is able to recognize speech in real-time.

This is the development package for pocketsphinx.

%package -n python2-pocketsphinx
Summary:        Python bindings for pocketsphinx
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description -n python2-pocketsphinx
CMU Sphinx toolkit has a number of packages for different tasks and applications.
Pocketsphinx is a version of the open-source Sphinx-II speech recognition system
which is able to recognize speech in real-time.

This package provides python bindings for pocketsphinx.

%prep
%setup -q
%patch0
%patch1
%patch2
rm python/pocketsphinx.c

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
%fdupes %{buildroot}
find %{buildroot} -type f -name "*.la" -delete -print


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/pocketsphinx_*
%{_datadir}/%{name}/
%{_libdir}/*.so.*
%{_mandir}/man1/*%{ext_man}

%files devel
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/pocketsphinx.pc

%files -n python2-pocketsphinx
%{py_sitedir}/*.so
%{py_sitedir}/PocketSphinx-%{version}-py2.7.egg-info

%changelog
* Mon Sep  4 2017 alarrosa@suse.com
- Update to version 0.8:
  * Improvements:
  * API is better exposed in Python, SWIG and gstreamer
  * New API for exact grammar match
  * Configurable type for the frame counter, allows utterances way longer
    than 5 minutes
  * Fixes:
  * Memory leaks, refcounting and other memory-related issues
  * Use proper word bounary senones for the words added on the fly
  * Accurate FSG lextree construction
- Add pocketsphinx-doxygen.patch, pocketsphinx-largefile.patch,
  pocketsphinx-long-utterance.patch to fix various issues. Patches obtained
  from the fedora package.
- Fixed license in spec file. It's BSD-2-Clause according to COPYING
- Run spec-cleaner
- Move the python bindings to a new python2-pocketsphinx package
* Sat Nov 10 2012 alinm.elena@gmail.com
- initial commit
